Package: irssi-plugin-xmpp
Version: 0.54-3
Severity: important

Hi there,

I got bit by this bug after the upgrade to Buster:

    irssi-xmpp 0.54 fails to connect to jabber server with irssi-1.2.0

    I upgraded irssi to 1.2.0. After the upgrade irssi-xmpp fails to
    connect to jabber server. The client appears to do the STARTTLS
    phase and it prompts for password. After entering the password the
    connection is terminated with message like "Unable to connect server
    … timeout". The host OS is FreeBSD 12.

    Reported by mjsaarin on Mar 7, 2019
    https://github.com/cdidier/irssi-xmpp/issues/43

The issue is reproducible and results into Buster's irssi-public-xmpp
being unusable for me.  I checked with a single server though, and it
might work fine with others.  Otherwise I guess the bug should be RC.

Applying Ailin Nemui's 3 commits from PR#40 fixes the problem.

    https://github.com/cdidier/irssi-xmpp/pull/40/commits
    57c62278b97aeb999f3ca2e2b8a492f364405b61
    617f0f1733f912d2dd94704f1331eaaf1184bbc8
    9388f41ce84382fdffce22739051ab8661448a8f

(I guess only the first one is needed, but protecting against double
free seems worth having, too.)  Do you agree that it makes sense to
include these in the next point release?

Cheers,
-- 
Guilhem.

-- System Information:
Debian Release: 10.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 4.19.0-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8), LANGUAGE=en 
(charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash                                              
                                                             
Init: systemd (via /run/systemd/system)                                         
                                                             

Versions of packages irssi-plugin-xmpp depends on:
ii  irssi [irssi-abi-20]  1.2.0-2
ii  libc6                 2.28-10
ii  libglib2.0-0          2.58.3-2
ii  libloudmouth1-0       1.5.3-5

irssi-plugin-xmpp recommends no packages.

irssi-plugin-xmpp suggests no packages.

-- no debconf information

Attachment: signature.asc
Description: PGP signature

Reply via email to